cURL
curl --request GET \
--url https://api.openlayer.com/v1/frameworks/9f1b3c2d-4e5a-4f60-8a71-2b3c4d5e6f70/rules \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "7c9a1e2b-3d4f-4a5b-8c6d-7e8f9a0b1c2d",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Monitoring enabled",
"scope": "project",
"type": "platform",
"dateCreated": "2026-03-22T11:31:01.185Z",
"dateUpdated": "2026-03-22T11:31:01.185Z",
"description": "Each project must have Openlayer monitoring mode enabled.",
"evidenceType": "document",
"renewalCadenceDays": 90,
"automationType": "monitoring_mode_enabled",
"automationParams": {},
"deactivated": false,
"assigneeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tags": [
{
"id": "6e8a0c2d-4f5b-4a3c-9d7e-8f0a1b2c3d4e",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"creatorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Evaluation",
"immutable": false,
"dateCreated": "2026-03-22T11:31:01.185Z",
"dateUpdated": "2026-03-22T11:31:01.185Z",
"color": "<string>"
}
],
"frameworks": [
{
"id": "<unknown>",
"name": "<unknown>",
"avatar": "<unknown>",
"builtInSlug": "<unknown>",
"enabled": "<unknown>"
}
],
"results": [
{
"id": "5b7d9f1a-2c3e-4d5f-8a6b-9c0d1e2f3a4b",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ruleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "passing",
"deactivated": false,
"dateCreated": "2026-03-22T11:31:01.185Z",
"dateUpdated": "2026-03-22T11:31:01.185Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusMessage": "<string>",
"dateLastEvaluated": "2023-11-07T05:31:56Z",
"dateOfNextEvaluation": "2023-11-07T05:31:56Z",
"dateOfLatestEvidence": "2023-11-07T05:31:56Z",
"dateOfRenewal": "2023-11-07T05:31:56Z",
"deactivatedReason": "<string>",
"assigneeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"blockedBy": [],
"blocking": []
}
],
"resultsSummary": {
"passing": 1,
"total": 1
},
"immutable": true
}
]
}{
"code": 123,
"error": "<string>"
}Governance
List a framework's rules
List the rules that belong to a framework.
To read the compliance status of these rules, use
List rule results with the frameworkId
filter, or fetch the results of an individual rule.
cURL
curl --request GET \
--url https://api.openlayer.com/v1/frameworks/9f1b3c2d-4e5a-4f60-8a71-2b3c4d5e6f70/rules \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "7c9a1e2b-3d4f-4a5b-8c6d-7e8f9a0b1c2d",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Monitoring enabled",
"scope": "project",
"type": "platform",
"dateCreated": "2026-03-22T11:31:01.185Z",
"dateUpdated": "2026-03-22T11:31:01.185Z",
"description": "Each project must have Openlayer monitoring mode enabled.",
"evidenceType": "document",
"renewalCadenceDays": 90,
"automationType": "monitoring_mode_enabled",
"automationParams": {},
"deactivated": false,
"assigneeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tags": [
{
"id": "6e8a0c2d-4f5b-4a3c-9d7e-8f0a1b2c3d4e",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"creatorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Evaluation",
"immutable": false,
"dateCreated": "2026-03-22T11:31:01.185Z",
"dateUpdated": "2026-03-22T11:31:01.185Z",
"color": "<string>"
}
],
"frameworks": [
{
"id": "<unknown>",
"name": "<unknown>",
"avatar": "<unknown>",
"builtInSlug": "<unknown>",
"enabled": "<unknown>"
}
],
"results": [
{
"id": "5b7d9f1a-2c3e-4d5f-8a6b-9c0d1e2f3a4b",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ruleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "passing",
"deactivated": false,
"dateCreated": "2026-03-22T11:31:01.185Z",
"dateUpdated": "2026-03-22T11:31:01.185Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusMessage": "<string>",
"dateLastEvaluated": "2023-11-07T05:31:56Z",
"dateOfNextEvaluation": "2023-11-07T05:31:56Z",
"dateOfLatestEvidence": "2023-11-07T05:31:56Z",
"dateOfRenewal": "2023-11-07T05:31:56Z",
"deactivatedReason": "<string>",
"assigneeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"blockedBy": [],
"blocking": []
}
],
"resultsSummary": {
"passing": 1,
"total": 1
},
"immutable": true
}
]
}{
"code": 123,
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your workspace API key. See Find your API key for more information.
Path Parameters
The framework id.
Query Parameters
The page to return in a paginated query.
Required range:
x >= 1Maximum number of items to return per page.
Required range:
1 <= x <= 100Response
Status OK.
Show child attributes
Show child attributes
Was this page helpful?